## org.apache.xerces.utils
Interface XMLMessageProvider

All Known Implementing Classes:
  DatatypeMessageProvider, SchemaMessageProvider, XMLMessages, ImplementationMessages

public interface XMLMessageProvider

Interface describing how to provide localized error messages to the XMLErrorReporter

See Also:
  `XMLErrorReporter`

Method Summary
`java.lang.String` `createMessage(java.util.Locale locale, int majorCode, int minorCode, java.lang.Object[] args)` Creates a message from the specified key and replacement arguments, localized to the given locale.
`java.util.Locale` `getLocale()` Get the locale being used for error messages
`void` `setLocale(java.util.Locale locale)` Set the locale to be used for error messages

Method Detail

### setLocale

    public void setLocale(java.util.Locale locale)

  Set the locale to be used for error messages
  Parameters:
    `locale` - the new locale

### getLocale

    public java.util.Locale getLocale()

  Get the locale being used for error messages
  Returns:
    the locale

### createMessage

    public java.lang.String createMessage(java.util.Locale locale,
                                          int majorCode,
                                          int minorCode,
                                          java.lang.Object[] args)

  Creates a message from the specified key and replacement arguments, localized to the given locale.
  Parameters:
    `locale` - The requested locale of the message to be created.
    `key` - The key for the message text.
    `args` - The arguments to be used as replacement text in the message created.

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.